Pod::Weaver::Section::Version(3)

NAME
Pod::Weaver::Section::Version - add a VERSION pod section

VERSION
version 3.101636

OVERVIEW
This section plugin will produce a hunk of Pod meant to indicate the version of the document being viewed, like this:

  =head1 VERSION

  version 1.234

It will do nothing if there is no "version" entry in the input.

ATTRIBUTES

  format
The string to use when generating the version string.

Default: version %v

The following variables are available:

•   v - the version

•   d - the CLDR format for DateTime

•   n - a newline

•   t - a tab

•   r - the name of the dist, present only if you use Dist::Zilla to generate the POD!

•   m - the name of the module, present only if PPI parsed the document and it contained a package declaration!

  is_verbatim
A boolean value specifying whether the version paragraph should be verbatim or not.

Default: false

  time_zone
The timezone to use when using DateTime for the format.

Default: local

METHODS

  build_content
  my @pod_elements = $section->build_content(\%input);

This method is passed the same "\%input" that goes to the "weave_section" method, and should return a list of pod elements to insert.

In almost all cases, this method is used internally, but could be usefully overridden in a subclass.

AUTHOR
Ricardo SIGNES <rjbs@cpan.org>

COPYRIGHT AND LICENSE
This software is copyright (c) 2012 by Ricardo SIGNES.

This is free software; you can redistribute it and/or modify it under the same terms as the Perl 5 programming language system itself.